com.genesyslab.wfm8.API.service.config852

## Class CfgAgentTimeOffRule

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgAgentTimeOffRule

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentTimeOffRule
      extends java.lang.Object
      implements java.io.Serializable

  Agent Time Off Rule
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId`
    `private static long` | `serialVersionUID`
    `protected int` | `wmAccrualRuleId`
    `protected double` | `wmAccruedAwarded`
    `protected int` | `wmAgentTimeOffRuleId`
    `protected int` | `wmAgentTimeOffTypeNSizeIs`
    `protected java.util.List<CfgAgentTimeOffType>` | `wmAgentTimeOffTypes`
    `protected java.util.List<CfgAgentUsedBonus>` | `wmAgentUsedBonus`
    `protected int` | `wmAgentUsedBonusNSizeIs`
    `protected double` | `wmBalance`
    `protected double` | `wmBonusAwarded`
    `protected double` | `wmBonusExpired`
    `protected double` | `wmBonusHours`
    `protected double` | `wmBonusUsed`
    `protected double` | `wmCarriedOverHours`
    `protected double` | `wmCarryOverDate`
    `protected double` | `wmDeclined`
    `protected double` | `wmGranted`
    `protected boolean` | `wmIsCalculated`
    `protected double` | `wmNotScheduled` Not scheduled time off hours (for future use)
    `protected double` | `wmPreferred`
    `protected double` | `wmScheduled`
    `protected double` | `wmStopAccrualDate`
    `protected double` | `wmSubmitDateTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentTimeOffRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getWmAccrualRuleId()` Gets the value of the wmAccrualRuleId property.
    `double` | `getWmAccruedAwarded()` Gets the value of the wmAccruedAwarded property.
    `int` | `getWmAgentTimeOffRuleId()` Gets the value of the wmAgentTimeOffRuleId property.
    `int` | `getWmAgentTimeOffTypeNSizeIs()` Gets the value of the wmAgentTimeOffTypeNSizeIs property.
    `java.util.List<CfgAgentTimeOffType>` | `getWmAgentTimeOffTypes()` Gets the value of the wmAgentTimeOffTypes property.
    `java.util.List<CfgAgentUsedBonus>` | `getWmAgentUsedBonus()` Gets the value of the wmAgentUsedBonus property.
    `int` | `getWmAgentUsedBonusNSizeIs()` Gets the value of the wmAgentUsedBonusNSizeIs property.
    `double` | `getWmBalance()` Gets the value of the wmBalance property.
    `double` | `getWmBonusAwarded()` Gets the value of the wmBonusAwarded property.
    `double` | `getWmBonusExpired()` Gets the value of the wmBonusExpired property.
    `double` | `getWmBonusHours()` Gets the value of the wmBonusHours property.
    `double` | `getWmBonusUsed()` Gets the value of the wmBonusUsed property.
    `double` | `getWmCarriedOverHours()` Gets the value of the wmCarriedOverHours property.
    `double` | `getWmCarryOverDate()` Gets the value of the wmCarryOverDate property.
    `double` | `getWmDeclined()` Gets the value of the wmDeclined property.
    `double` | `getWmGranted()` Gets the value of the wmGranted property.
    `double` | `getWmNotScheduled()` Gets the value of the wmNotScheduled property.
    `double` | `getWmPreferred()` Gets the value of the wmPreferred property.
    `double` | `getWmScheduled()` Gets the value of the wmScheduled property.
    `double` | `getWmStopAccrualDate()` Gets the value of the wmStopAccrualDate property.
    `double` | `getWmSubmitDateTime()` Gets the value of the wmSubmitDateTime property.
    `int` | `hashCode()`
    `boolean` | `isWmIsCalculated()` Gets the value of the wmIsCalculated property.
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmAccrualRuleId(int value)` Sets the value of the wmAccrualRuleId property.
    `void` | `setWmAccruedAwarded(double value)` Sets the value of the wmAccruedAwarded property.
    `void` | `setWmAgentTimeOffRuleId(int value)` Sets the value of the wmAgentTimeOffRuleId property.
    `void` | `setWmAgentTimeOffTypeNSizeIs(int value)` Sets the value of the wmAgentTimeOffTypeNSizeIs property.
    `void` | `setWmAgentTimeOffTypes(java.util.List<CfgAgentTimeOffType> wmAgentTimeOffTypes)` Sets the value of the wmAgentTimeOffTypes property.
    `void` | `setWmAgentUsedBonus(java.util.List<CfgAgentUsedBonus> wmAgentUsedBonus)` Sets the value of the wmAgentUsedBonus property.
    `void` | `setWmAgentUsedBonusNSizeIs(int value)` Sets the value of the wmAgentUsedBonusNSizeIs property.
    `void` | `setWmBalance(double value)` Sets the value of the wmBalance property.
    `void` | `setWmBonusAwarded(double value)` Sets the value of the wmBonusAwarded property.
    `void` | `setWmBonusExpired(double value)` Sets the value of the wmBonusExpired property.
    `void` | `setWmBonusHours(double value)` Sets the value of the wmBonusHours property.
    `void` | `setWmBonusUsed(double value)` Sets the value of the wmBonusUsed property.
    `void` | `setWmCarriedOverHours(double value)` Sets the value of the wmCarriedOverHours property.
    `void` | `setWmCarryOverDate(double value)` Sets the value of the wmCarryOverDate property.
    `void` | `setWmDeclined(double value)` Sets the value of the wmDeclined property.
    `void` | `setWmGranted(double value)` Sets the value of the wmGranted property.
    `void` | `setWmIsCalculated(boolean value)` Sets the value of the wmIsCalculated property.
    `void` | `setWmNotScheduled(double value)` Sets the value of the wmNotScheduled property.
    `void` | `setWmPreferred(double value)` Sets the value of the wmPreferred property.
    `void` | `setWmScheduled(double value)` Sets the value of the wmScheduled property.
    `void` | `setWmStopAccrualDate(double value)` Sets the value of the wmStopAccrualDate property.
    `void` | `setWmSubmitDateTime(double value)` Sets the value of the wmSubmitDateTime property.
    `java.lang.String` | `toString()`
    `CfgAgentTimeOffRule` | `withGswAgentId(int value)`
    `CfgAgentTimeOffRule` | `withWmAccrualRuleId(int value)`
    `CfgAgentTimeOffRule` | `withWmAccruedAwarded(double value)`
    `CfgAgentTimeOffRule` | `withWmAgentTimeOffRuleId(int value)`
    `CfgAgentTimeOffRule` | `withWmAgentTimeOffTypeNSizeIs(int value)`
    `CfgAgentTimeOffRule` | `withWmAgentTimeOffTypes(CfgAgentTimeOffType... values)`
    `CfgAgentTimeOffRule` | `withWmAgentTimeOffTypes(java.util.Collection<CfgAgentTimeOffType> values)`
    `CfgAgentTimeOffRule` | `withWmAgentUsedBonus(CfgAgentUsedBonus... values)`
    `CfgAgentTimeOffRule` | `withWmAgentUsedBonus(java.util.Collection<CfgAgentUsedBonus> values)`
    `CfgAgentTimeOffRule` | `withWmAgentUsedBonusNSizeIs(int value)`
    `CfgAgentTimeOffRule` | `withWmBalance(double value)`
    `CfgAgentTimeOffRule` | `withWmBonusAwarded(double value)`
    `CfgAgentTimeOffRule` | `withWmBonusExpired(double value)`
    `CfgAgentTimeOffRule` | `withWmBonusHours(double value)`
    `CfgAgentTimeOffRule` | `withWmBonusUsed(double value)`
    `CfgAgentTimeOffRule` | `withWmCarriedOverHours(double value)`
    `CfgAgentTimeOffRule` | `withWmCarryOverDate(double value)`
    `CfgAgentTimeOffRule` | `withWmDeclined(double value)`
    `CfgAgentTimeOffRule` | `withWmGranted(double value)`
    `CfgAgentTimeOffRule` | `withWmIsCalculated(boolean value)`
    `CfgAgentTimeOffRule` | `withWmNotScheduled(double value)`
    `CfgAgentTimeOffRule` | `withWmPreferred(double value)`
    `CfgAgentTimeOffRule` | `withWmScheduled(double value)`
    `CfgAgentTimeOffRule` | `withWmStopAccrualDate(double value)`
    `CfgAgentTimeOffRule` | `withWmSubmitDateTime(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmAgentTimeOffRuleId

          protected int wmAgentTimeOffRuleId

    - #### gswAgentId

          protected int gswAgentId

    - #### wmAccrualRuleId

          protected int wmAccrualRuleId

    - #### wmCarryOverDate

          protected double wmCarryOverDate

    - #### wmBonusHours

          protected double wmBonusHours

    - #### wmCarriedOverHours

          protected double wmCarriedOverHours

    - #### wmStopAccrualDate

          protected double wmStopAccrualDate

    - #### wmIsCalculated

          protected boolean wmIsCalculated

    - #### wmBalance

          protected double wmBalance

    - #### wmAccruedAwarded

          protected double wmAccruedAwarded

    - #### wmBonusAwarded

          protected double wmBonusAwarded

    - #### wmBonusExpired

          protected double wmBonusExpired

    - #### wmBonusUsed

          protected double wmBonusUsed

    - #### wmScheduled

          protected double wmScheduled

    - #### wmNotScheduled

          protected double wmNotScheduled

      Not scheduled time off hours (for future use)

    - #### wmGranted

          protected double wmGranted

    - #### wmPreferred

          protected double wmPreferred

    - #### wmDeclined

          protected double wmDeclined

    - #### wmSubmitDateTime

          protected double wmSubmitDateTime

    - #### wmAgentTimeOffTypeNSizeIs

          protected int wmAgentTimeOffTypeNSizeIs

    - #### wmAgentTimeOffTypes

          protected java.util.List<CfgAgentTimeOffType> wmAgentTimeOffTypes

    - #### wmAgentUsedBonusNSizeIs

          protected int wmAgentUsedBonusNSizeIs

    - #### wmAgentUsedBonus

          protected java.util.List<CfgAgentUsedBonus> wmAgentUsedBonus

  - ### Constructor Detail

    - #### CfgAgentTimeOffRule

          public CfgAgentTimeOffRule()

  - ### Method Detail

    - #### getWmAgentTimeOffRuleId

          public int getWmAgentTimeOffRuleId()

      Gets the value of the wmAgentTimeOffRuleId property.

    - #### setWmAgentTimeOffRuleId

          public void setWmAgentTimeOffRuleId(int value)

      Sets the value of the wmAgentTimeOffRuleId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmAccrualRuleId

          public int getWmAccrualRuleId()

      Gets the value of the wmAccrualRuleId property.

    - #### setWmAccrualRuleId

          public void setWmAccrualRuleId(int value)

      Sets the value of the wmAccrualRuleId property.

    - #### getWmCarryOverDate

          public double getWmCarryOverDate()

      Gets the value of the wmCarryOverDate property.

    - #### setWmCarryOverDate

          public void setWmCarryOverDate(double value)

      Sets the value of the wmCarryOverDate property.

    - #### getWmBonusHours

          public double getWmBonusHours()

      Gets the value of the wmBonusHours property.

    - #### setWmBonusHours

          public void setWmBonusHours(double value)

      Sets the value of the wmBonusHours property.

    - #### getWmCarriedOverHours

          public double getWmCarriedOverHours()

      Gets the value of the wmCarriedOverHours property.

    - #### setWmCarriedOverHours

          public void setWmCarriedOverHours(double value)

      Sets the value of the wmCarriedOverHours property.

    - #### getWmStopAccrualDate

          public double getWmStopAccrualDate()

      Gets the value of the wmStopAccrualDate property.

    - #### setWmStopAccrualDate

          public void setWmStopAccrualDate(double value)

      Sets the value of the wmStopAccrualDate property.

    - #### isWmIsCalculated

          public boolean isWmIsCalculated()

      Gets the value of the wmIsCalculated property.

    - #### setWmIsCalculated

          public void setWmIsCalculated(boolean value)

      Sets the value of the wmIsCalculated property.

    - #### getWmBalance

          public double getWmBalance()

      Gets the value of the wmBalance property.

    - #### setWmBalance

          public void setWmBalance(double value)

      Sets the value of the wmBalance property.

    - #### getWmAccruedAwarded

          public double getWmAccruedAwarded()

      Gets the value of the wmAccruedAwarded property.

    - #### setWmAccruedAwarded

          public void setWmAccruedAwarded(double value)

      Sets the value of the wmAccruedAwarded property.

    - #### getWmBonusAwarded

          public double getWmBonusAwarded()

      Gets the value of the wmBonusAwarded property.

    - #### setWmBonusAwarded

          public void setWmBonusAwarded(double value)

      Sets the value of the wmBonusAwarded property.

    - #### getWmBonusExpired

          public double getWmBonusExpired()

      Gets the value of the wmBonusExpired property.

    - #### setWmBonusExpired

          public void setWmBonusExpired(double value)

      Sets the value of the wmBonusExpired property.

    - #### getWmBonusUsed

          public double getWmBonusUsed()

      Gets the value of the wmBonusUsed property.

    - #### setWmBonusUsed

          public void setWmBonusUsed(double value)

      Sets the value of the wmBonusUsed property.

    - #### getWmScheduled

          public double getWmScheduled()

      Gets the value of the wmScheduled property.

    - #### setWmScheduled

          public void setWmScheduled(double value)

      Sets the value of the wmScheduled property.

    - #### getWmNotScheduled

          public double getWmNotScheduled()

      Gets the value of the wmNotScheduled property.

    - #### setWmNotScheduled

          public void setWmNotScheduled(double value)

      Sets the value of the wmNotScheduled property.

    - #### getWmGranted

          public double getWmGranted()

      Gets the value of the wmGranted property.

    - #### setWmGranted

          public void setWmGranted(double value)

      Sets the value of the wmGranted property.

    - #### getWmPreferred

          public double getWmPreferred()

      Gets the value of the wmPreferred property.

    - #### setWmPreferred

          public void setWmPreferred(double value)

      Sets the value of the wmPreferred property.

    - #### getWmDeclined

          public double getWmDeclined()

      Gets the value of the wmDeclined property.

    - #### setWmDeclined

          public void setWmDeclined(double value)

      Sets the value of the wmDeclined property.

    - #### getWmSubmitDateTime

          public double getWmSubmitDateTime()

      Gets the value of the wmSubmitDateTime property.

    - #### setWmSubmitDateTime

          public void setWmSubmitDateTime(double value)

      Sets the value of the wmSubmitDateTime property.

    - #### getWmAgentTimeOffTypeNSizeIs

          public int getWmAgentTimeOffTypeNSizeIs()

      Gets the value of the wmAgentTimeOffTypeNSizeIs property.

    - #### setWmAgentTimeOffTypeNSizeIs

          public void setWmAgentTimeOffTypeNSizeIs(int value)

      Sets the value of the wmAgentTimeOffTypeNSizeIs property.

    - #### getWmAgentTimeOffTypes

          public java.util.List<CfgAgentTimeOffType> getWmAgentTimeOffTypes()

      Gets the value of the wmAgentTimeOffTypes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgentTimeOffTypes property.

      For example, to add a new item, do as follows:

              getWmAgentTimeOffTypes().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentTimeOffType`

    - #### getWmAgentUsedBonusNSizeIs

          public int getWmAgentUsedBonusNSizeIs()

      Gets the value of the wmAgentUsedBonusNSizeIs property.

    - #### setWmAgentUsedBonusNSizeIs

          public void setWmAgentUsedBonusNSizeIs(int value)

      Sets the value of the wmAgentUsedBonusNSizeIs property.

    - #### getWmAgentUsedBonus

          public java.util.List<CfgAgentUsedBonus> getWmAgentUsedBonus()

      Gets the value of the wmAgentUsedBonus property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgentUsedBonus property.

      For example, to add a new item, do as follows:

              getWmAgentUsedBonus().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentUsedBonus`

    - #### withWmAgentTimeOffRuleId

          public CfgAgentTimeOffRule withWmAgentTimeOffRuleId(int value)

    - #### withGswAgentId

          public CfgAgentTimeOffRule withGswAgentId(int value)

    - #### withWmAccrualRuleId

          public CfgAgentTimeOffRule withWmAccrualRuleId(int value)

    - #### withWmCarryOverDate

          public CfgAgentTimeOffRule withWmCarryOverDate(double value)

    - #### withWmBonusHours

          public CfgAgentTimeOffRule withWmBonusHours(double value)

    - #### withWmCarriedOverHours

          public CfgAgentTimeOffRule withWmCarriedOverHours(double value)

    - #### withWmStopAccrualDate

          public CfgAgentTimeOffRule withWmStopAccrualDate(double value)

    - #### withWmIsCalculated

          public CfgAgentTimeOffRule withWmIsCalculated(boolean value)

    - #### withWmBalance

          public CfgAgentTimeOffRule withWmBalance(double value)

    - #### withWmAccruedAwarded

          public CfgAgentTimeOffRule withWmAccruedAwarded(double value)

    - #### withWmBonusAwarded

          public CfgAgentTimeOffRule withWmBonusAwarded(double value)

    - #### withWmBonusExpired

          public CfgAgentTimeOffRule withWmBonusExpired(double value)

    - #### withWmBonusUsed

          public CfgAgentTimeOffRule withWmBonusUsed(double value)

    - #### withWmScheduled

          public CfgAgentTimeOffRule withWmScheduled(double value)

    - #### withWmNotScheduled

          public CfgAgentTimeOffRule withWmNotScheduled(double value)

    - #### withWmGranted

          public CfgAgentTimeOffRule withWmGranted(double value)

    - #### withWmPreferred

          public CfgAgentTimeOffRule withWmPreferred(double value)

    - #### withWmDeclined

          public CfgAgentTimeOffRule withWmDeclined(double value)

    - #### withWmSubmitDateTime

          public CfgAgentTimeOffRule withWmSubmitDateTime(double value)

    - #### withWmAgentTimeOffTypeNSizeIs

          public CfgAgentTimeOffRule withWmAgentTimeOffTypeNSizeIs(int value)

    - #### withWmAgentTimeOffTypes

          public CfgAgentTimeOffRule withWmAgentTimeOffTypes(CfgAgentTimeOffType... values)

    - #### withWmAgentTimeOffTypes

          public CfgAgentTimeOffRule withWmAgentTimeOffTypes(java.util.Collection<CfgAgentTimeOffType> values)

    - #### withWmAgentUsedBonusNSizeIs

          public CfgAgentTimeOffRule withWmAgentUsedBonusNSizeIs(int value)

    - #### withWmAgentUsedBonus

          public CfgAgentTimeOffRule withWmAgentUsedBonus(CfgAgentUsedBonus... values)

    - #### withWmAgentUsedBonus

          public CfgAgentTimeOffRule withWmAgentUsedBonus(java.util.Collection<CfgAgentUsedBonus> values)

    - #### setWmAgentTimeOffTypes

          public void setWmAgentTimeOffTypes(java.util.List<CfgAgentTimeOffType> wmAgentTimeOffTypes)

      Sets the value of the wmAgentTimeOffTypes property.
      Parameters:
        `wmAgentTimeOffTypes` - allowed object is `CfgAgentTimeOffType`

    - #### setWmAgentUsedBonus

          public void setWmAgentUsedBonus(java.util.List<CfgAgentUsedBonus> wmAgentUsedBonus)

      Sets the value of the wmAgentUsedBonus property.
      Parameters:
        `wmAgentUsedBonus` - allowed object is `CfgAgentUsedBonus`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.